<?
function limpa($numero)
{
	$numero = strtoupper($numero);
	$nova_string = '';
	for ($i=0 ; $i <= strlen($numero);$i++) {
		if ($numero[$i] != '0' && $numero[$i] != '1' && $numero[$i] != '2' && $numero[$i] != '3' && $numero[$i] != '4' && $numero[$i] != '5' && $numero[$i] != '6' && $numero[$i] != '7' && $numero[$i] != '8' && $numero[$i] != '9'&& $numero[$i] != 'A'&& $numero[$i] != 'B'&& $numero[$i] != 'C'&& $numero[$i] != 'D'&& $numero[$i] != 'E'&& $numero[$i] != 'F'&& $numero[$i] != 'G'&& $numero[$i] != 'H'&& $numero[$i] != 'I'&& $numero[$i] != 'J'&& $numero[$i] != 'K'&& $numero[$i] != 'L'&& $numero[$i] != 'M'&& $numero[$i] != 'N'&& $numero[$i] != 'O'&& $numero[$i] != 'P'&& $numero[$i] != 'Q'&& $numero[$i] != 'R'&& $numero[$i] != 'S'&& $numero[$i] != 'T'&& $numero[$i] != 'U'&& $numero[$i] != 'V'&& $numero[$i] != 'X'&& $numero[$i] != 'Z'&& $numero[$i] != 'W'&& $numero[$i] != 'Y'){
		}
		else {
			$nova_string .= $numero[$i];
		}
	}
	$resultado = $nova_string;
	return $resultado;
}

?>
<?
function Criptografar($strChave,$Chave)
{
Global $Frase;
$tamanho_da_frase = strlen($strChave);

mt_srand ((double) microtime() * 1000000);
$aux = mt_rand();
$tamanho_do_numero = $rest = substr ($aux, 3, 2); 

$tamanho_do_loop =$tamanho_da_frase + $tamanho_do_numero;

$strCriptografada = "";
  for ($i=1; $i<=$tamanho_do_loop; $i=$i+1)
  {

    $iChaveCaracter=ord(substr($Chave,$i-1,1));
    $iFraseCaracter=ord(substr($strChave,$i-1,1));
	$iCriptografadoCaracter = $iFraseCaracter + $iChaveCaracter;
	$strCriptografada=$strCriptografada.chr($iCriptografadoCaracter);

  } 

  return $strCriptografada;
} 

function Descriptografar($strCriptografada,$Chave)
{
	$strDescriptografada="";
  for ($i=1; $i<=strlen($strCriptografada); $i=$i+1)
  {

    $iChaveCaracter=(ord(substr($Chave,$i-1,1)));
    $iFraseCaracter=ord(substr($strCriptografada,$i-1,1));
	$iCriptografadoCaracter = $iFraseCaracter - $iChaveCaracter ;
	$strDescriptografada=$strDescriptografada.chr($iCriptografadoCaracter);

  } 

  return $strDescriptografada;
} 

function ObterMateria($materia) {
	$sql_materia = "Select * from provas where codigo = $materia";
	$query_materia = mysql_query($sql_materia)
		or die ("Erro interno func 1");
	$resposta = mysql_fetch_array($query_materia);
	return $resposta[1];
}

function ObterIdioma($idioma) {
	$sql_idioma = "Select * from linguas where codigo = $idioma";
	$query_idioma = mysql_query($sql_idioma)
		or die ("Erro interno func 2");
	$resposta = mysql_fetch_array($query_idioma);
	return $resposta[1];
}

function VerificaNulo($questao,$vestibular,$curso,$materia,$lingua) {
	$sql_nulo = "Select * from anular where curso='$curso' and materia = '$materia' and questao = '$questao' and codigo_vest = '$vestibular' and lingua = '$lingua'";
	$query_nulo = mysql_query($sql_nulo)
		or die ("Erro interno func 3");
	$numero = mysql_num_rows($query_nulo);
	return $numero;
}

function ObterCurso($curso) {
	$sql_curso = "Select * from cursos where codigo = $curso";
	$query_curso = mysql_query($sql_curso)
		or die ("Erro interno func 4");
	$resposta = mysql_fetch_array($query_curso);
	return $resposta[2];
}
function ObterPeso($curso,$materia,$processo) {
	$sql_pesos = "Select * from pesos where codigo_do_curso = '$curso' and codigo_da_materia = '$materia' and codigo_vest = '$processo'";
	$query_pesos = mysql_query($sql_pesos)
		or die ("Erro interno func 5");
	if (mysql_num_rows($query_pesos) != 1) {
		return '';
	}
	$resposta = mysql_fetch_array($query_pesos);
	return $resposta[3];
}

function PegaLingua($candidato) {
	$sql_lingua_1 = "Select * from candidato where codigo = $candidato";
	$retorno_lingua_1 = mysql_query($sql_lingua_1)
		or die ("Erro 1 na funcao PegaLingua()");
	if (mysql_num_rows($retorno_lingua_1) != 1) {
		return "Dados incompletos do candidato";
	}
	else {
		$resposta = mysql_fetch_array($retorno_lingua_1);
		$lingua = $resposta["lingua"];
		$sql_lingua_2 = "Select * from linguas where codigo = $lingua";
		$retorno_lingua_2 = mysql_query($sql_lingua_2)
			or die ("Erro 2 na funcao PegaLingua()");
		if (mysql_num_rows($retorno_lingua_2) != 1) {
			return "Dados incompletos do candidato";
		}
		else {
			$resposta = mysql_fetch_array($retorno_lingua_2);
			return $resposta["lingua"];
		}
	}
}

function PegaClassificacao($candidato) {
	$sql_lingua_1 = "Select * from resultado_final where matricula = $candidato";
	$retorno_lingua_1 = mysql_query($sql_lingua_1)
		or die ("Erro 1 na funcao PegaClassificacao()");
	if (mysql_num_rows($retorno_lingua_1) != 1) {
		return "Resultado não processado";
	}
	else {
		$resposta = mysql_fetch_array($retorno_lingua_1);
		return $resposta["colocacao"];
	}
}


?>